Open CASCADE Technology: IFSelect_Signature Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
IFSelect_Signature Class Reference

Signature provides the basic service used by the classes SelectSignature and Counter (i.e. Name, Value), which is : More...

`#include <IFSelect_Signature.hxx>`

Inheritance diagram for IFSelect_Signature:
[legend]

## Public Member Functions
void | SetIntCase (const Standard_Boolean hasmin, const Standard_Integer valmin, const Standard_Boolean hasmax, const Standard_Integer valmax)
| Sets the information data to tell "integer cases" with possible min and max values To be called when creating. More...
Standard_Boolean | IsIntCase (Standard_Boolean &hasmin, Standard_Integer &valmin, Standard_Boolean &hasmax, Standard_Integer &valmax) const
| Tells if this Signature gives integer values and returns values from SetIntCase if True. More...
void | AddCase (const Standard_CString acase)
| Adds a possible case To be called when creating, IF the list of possible cases for Value is known when starting For instance, for CDL types, rather do not fill this, but for a specific enumeration (such as a status), can be used. More...
Handle < TColStd_HSequenceOfAsciiString > | CaseList () const
| Returns the predefined list of possible cases, filled by AddCase Null Handle if no predefined list (hence, to be counted) Useful to filter on really possible vase, for instance, or for a help. More...
Standard_CString | Name () const
| Returns an identification of the Signature (a word), given at initialization time Returns the Signature for a Transient object. It is specific of each sub-class of Signature. For a Null Handle, it should provide "" It can work with the model which contains the entity. More...
TCollection_AsciiString | Label () const
| The label of a Signature uses its name as follow : "Signature : <name>". More...
virtual Standard_Boolean | Matches (const Handle< Standard_Transient > &ent, const Handle< Interface_InterfaceModel > &model, const TCollection_AsciiString &text, const Standard_Boolean exact) const
| Tells if the value for <ent> in <model> matches a text, with a criterium <exact>. The default definition calls MatchValue Can be redefined. More...
Public Member Functions inherited from Interface_SignType
TCollection_AsciiString | Text (const Handle< Standard_Transient > &ent, const Handle< Standard_Transient > &context) const
| Returns an identification of the Signature (a word), given at initialization time Specialised to consider context as an InterfaceModel. More...
virtual Standard_CString | Value (const Handle< Standard_Transient > &ent, const Handle< Interface_InterfaceModel > &model) const =0
| Returns the Signature for a Transient object. It is specific of each sub-class of Signature. For a Null Handle, it should provide "" It can work with the model which contains the entity. More...
Public Member Functions inherited from MoniTool_SignText
virtual TCollection_AsciiString | TextAlone (const Handle< Standard_Transient > &ent) const
| Gives a text as a signature for a transient object alone, i.e. without defined context. By default, calls Text with undefined context (Null Handle) and if empty, then returns DynamicType. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Public Member Functions
static Standard_Boolean | MatchValue (const Standard_CString val, const TCollection_AsciiString &text, const Standard_Boolean exact)
| Default procedure to tell if a value <val> matches a text with a criterium <exact>. <exact> = True requires equality, else only contained (no reg-exp) More...
static Standard_CString | IntValue (const Standard_Integer val)
| This procedure converts an Integer to a CString It is a convenient way when the value of a signature has the form of a simple integer value The value is to be used immediately (one buffer only, no copy) More...
Static Public Member Functions inherited from Interface_SignType
static Standard_CString | ClassName (const Standard_CString typnam)
| From a CDL Type Name, returns the Class part (package dropped) WARNING : buffered, to be immediately copied or printed. More...

## Protected Member Functions
| IFSelect_Signature (const Standard_CString name)
| Initializes a Signature with its name. More...

## Protected Attributes
TCollection_AsciiString | thename

## Detailed Description

Signature provides the basic service used by the classes SelectSignature and Counter (i.e. Name, Value), which is :

- for an entity in a model, give a characteristic string, its signature This string has not to be unique in the model, but gives a value for such or such important feature. Exemples : Dynamic Type; Category; etc

## Constructor & Destructor Documentation

IFSelect_Signature::IFSelect_Signature | ( | const Standard_CString | name | ) |
| protected

Initializes a Signature with its name.

## Member Function Documentation

void IFSelect_Signature::AddCase | ( | const Standard_CString | acase | ) |

Adds a possible case To be called when creating, IF the list of possible cases for Value is known when starting For instance, for CDL types, rather do not fill this, but for a specific enumeration (such as a status), can be used.

Handle< TColStd_HSequenceOfAsciiString > IFSelect_Signature::CaseList | ( |  | ) | const

Returns the predefined list of possible cases, filled by AddCase Null Handle if no predefined list (hence, to be counted) Useful to filter on really possible vase, for instance, or for a help.

static Standard_CString IFSelect_Signature::IntValue | ( | const Standard_Integer | val | ) |
| static

This procedure converts an Integer to a CString It is a convenient way when the value of a signature has the form of a simple integer value The value is to be used immediately (one buffer only, no copy)

Standard_Boolean IFSelect_Signature::IsIntCase | ( | Standard_Boolean & | hasmin,
|  | Standard_Integer & | valmin,
|  | Standard_Boolean & | hasmax,
|  | Standard_Integer & | valmax
| ) |  | const

Tells if this Signature gives integer values and returns values from SetIntCase if True.

TCollection_AsciiString IFSelect_Signature::Label | ( |  | ) | const

The label of a Signature uses its name as follow : "Signature : <name>".

virtual Standard_Boolean IFSelect_Signature::Matches | ( | const Handle< Standard_Transient > & | ent,
|  | const Handle< Interface_InterfaceModel > & | model,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) |  | const
| virtual

Tells if the value for <ent> in <model> matches a text, with a criterium <exact>. The default definition calls MatchValue Can be redefined.

Reimplemented in IFSelect_SignMultiple, IGESSelect_SignStatus, IFSelect_SignAncestor, and STEPSelections_SelectDerived.

static Standard_Boolean IFSelect_Signature::MatchValue | ( | const Standard_CString | val,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) |  |
| static

Default procedure to tell if a value <val> matches a text with a criterium <exact>. <exact> = True requires equality, else only contained (no reg-exp)

Standard_CString IFSelect_Signature::Name | ( |  | ) | const
| virtual

Returns an identification of the Signature (a word), given at initialization time Returns the Signature for a Transient object. It is specific of each sub-class of Signature. For a Null Handle, it should provide "" It can work with the model which contains the entity.

Implements MoniTool_SignText.

void IFSelect_Signature::SetIntCase | ( | const Standard_Boolean | hasmin,
|  | const Standard_Integer | valmin,
|  | const Standard_Boolean | hasmax,
|  | const Standard_Integer | valmax
| ) |  |

Sets the information data to tell "integer cases" with possible min and max values To be called when creating.

## Field Documentation

TCollection_AsciiString IFSelect_Signature::thename
| protected

The documentation for this class was generated from the following file:

- IFSelect_Signature.hxx